FORMAT-TREE(1)

NAME
format-tree.pl - Format (and annotate) trees for printing

VERSION
version 0.212670

USAGE
    format-tree.pl <infiles> [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input TRE files [repeatable argument].

OPTIONAL ARGUMENTS

--in[-strip]=<str>
    Substring(s) to strip from infile basenames before attempting to derive other infile (e.g., IDM files) and outfile names [default: none].

--out[-suffix]=<suffix>
    Suffix to append to (possibly stripped) infile basenames for deriving outfile names [default: none]. When not specified, outfile names are taken from infiles but original infiles are preserved by being appended a .bak suffix.

--map-ids
    Sequence id mapping switch [default: no]. When specified, sequence ids are restored from the corresponding IDM files.

--org-mapper=<file>
    Path to an optional IDM file associating organism names to abbreviations (see "change-ids-ali.pl"). When specified, ids to be restored from individual IDM files are first expanded using the long_org => abbr_org pairs listed in this global IDM file.

--map-final-ids
    Final sequence id mapping switch [default: no]. When specified, final sequence ids are taken from additional IDM files named as *.final-idm.

    A two-step mapping strategy allows annotating the tree by taxonomy while using custom sequence ids in the output tree. When both are specified, this argument takes precedence on the next one ("--auto-final-ids").

--auto-final-ids
    Auto final sequence id switch [default: no]. When specified, final sequence ids are automatically set to organism names fetched from the NCBI Taxonomy database on the basis of taxonomic information contained in the original sequence ids. This requires a local mirror of the NCBI Taxonomy database.

--from-consense
    PHYLIP's consense import switch [default: no]. When specified, branch lengths of internal nodes are interpreted as statistical support values (e.g., BP). Note that the formatted tree will be devoid of branch lengths and should thus be displayed as a cladogram.

--ultrametrize
    When specified, the tree is made ultrametric using the method of Britton et al. (2002), as implemented in "Bio::Phylo".

--ladderize=<dir>
    Direction of the node sorting operation [default: none]. The following directions are available: asc and desc.

--annotate[=][<level>]
    When specified, a taxonomic analysis of all nodes is carried out and the nodes are named after their taxon at (or above) the specified taxonomic level. This requires a local mirror of the NCBI Taxonomy database.

    Available levels are: superkingdom, kingdom, subkingdom, superphylum, phylum, subphylum, superclass, class, subclass, infraclass, superorder, order, suborder, infraorder, parvorder, superfamily, family, subfamily, tribe, subtribe, genus, subgenus, species group, species subgroup, species, subspecies, varietas, forma and 'no rank' (don't forget the quotes).

--collapse=<level>
    When specified, monophyletic nodes are collapsed exactly at the specified taxonomic level. This requires enabling taxonomic annotation.

    Two special levels are also supported: label and color. With label, subtrees are collapsed on the various taxa of the CLS file (see "--colorize" option just below), whereas with color, subtrees colored in the same color are collapsed. This allows collapsing nodes at various taxonomic levels and even non-monophyletic nodes composed of taxa identically colored on purpose.

--colorize=<scheme>
    When specified, branches of the tree are colored after their taxon using the specified CLS file. This requires enabling taxonomic annotation.

--taxdir=<dir>
    Path to local mirror of the NCBI Taxonomy database.

--arb
    Output tree in MUST pseudo-Newick ARB format [default: no].

--grp
    Output BP/PP support values in MUST pseudo-consense GRP format [default: no]. When specified, this option also generates companion NBS files.

--figtree
    Output tree in FigTree enhanced NEXUS format [default: no].

--itol
    Output tree metadata for upload and vizualisation in iTOL [default: no].

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Valerian LUPO <valerian.lupo@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.